
Foreman - Bug #14113

DHCP orchestration ignored subnet bootmode

03/09/2016 02:50 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: DHCP   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3296

  

Description

When subnet is set to Static bootmode and managed interface is created with this subnet, dhcp orchestration tries to create DHCP

record, which does not make sense.

Related issues:

Related to Foreman - Support #14792: foreman not sending the POST to the DHCP... Resolved 04/24/2016

Related to Foreman - Bug #14905: DHCP reservation for PXE boot not added when... Closed 05/02/2016

Associated revisions

Revision 85c6f530 - 03/09/2016 10:50 AM - Marek Hulán

Fixes #14113 - run dhcp orchestration only on DHCP subnets

Revision a503383b - 04/18/2016 01:45 PM - Marek Hulán

Fixes #14113 - run dhcp orchestration only on DHCP subnets

(cherry picked from commit 85c6f530855ffafbb90c02e1f9dadabe1b6823ac)

History

#1 - 03/09/2016 03:01 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3296 added

#2 - 03/09/2016 11:02 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 85c6f530855ffafbb90c02e1f9dadabe1b6823ac.

#3 - 03/10/2016 05:04 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#4 - 04/25/2016 02:46 AM - Marek Hulán

- Related to Support #14792: foreman not sending the POST to the DHCP smart proxy added

#5 - 05/03/2016 05:29 AM - Dominic Cleal

- Related to Bug #14905: DHCP reservation for PXE boot not added when using static boot mode added
